#version 400

layout(location = 0) in vec2 position;
layout(location = 1) in vec2 textureCoords;
layout(location = 2) in vec3 viewVector;

smooth out vec2 VS_TexCoord;
smooth out vec3 VS_ViewVector;

void main()
{
	VS_TexCoord = textureCoords;
	VS_ViewVector = viewVector;
	gl_Position = vec4(position, 0.0, 1.0);
}